#include "student.hpp"
#include <sstream>
#include <iostream>

using std::string;

Student::Student(std::string vorname, std::string nachname, int matnr) : Person(vorname, nachname), matnr(matnr), thesis(NULL) {
}

Student::~Student() {
	std::cout << "Destruktor von Student" << std::endl;
	delete thesis;
}

string Student::toString() const {
	std::stringstream strstr;
	strstr << vorname << " " << nachname << " (" << matnr << ")";
	return strstr.str();
}

void Student::setThesis(Thesis* thesis){
	this->thesis = thesis;
}
